import { type ComponentProps } from 'react'

import { Typography } from '@/components/atoms'

const { Text, Link } = Typography

type TableStatusProps = ComponentProps<'a'> & {
	name: string
	href: string
}

function Name({ name, href }: TableStatusProps) {
	return (
		<Link href={href} className='flex' data-type='name'>
			<Text>{name}</Text>
		</Link>
	)
}

export { Name }
